de.esprit.netsuite.netdata.event

## Class SystemDataChangeEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.SystemEvent
          - - de.esprit.netsuite.netdata.event.SystemDataChangeEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    GroupAssignmentChangeEvent, GroupDataChangeEvent, PasswordChangeEvent, PermissionAssignmentChangeEvent, UserDataChangeEvent

      public abstract class SystemDataChangeEvent
      extends SystemEvent

  This event is sent by the server to notify about a change in a group's data
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.esprit.netsuite.netdata.event.SystemEvent

      `SystemEvent.Source`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemDataChangeEvent(SessionId sessId, ChangeType action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChangeType` | `getAction()`
    `boolean` | `isCreate()`
    `boolean` | `isDelete()`
    `boolean` | `isUpdate()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `getSessionId, setWasCausedByMe, toDumpString, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemDataChangeEvent

          public SystemDataChangeEvent(SessionId sessId,
                               ChangeType action)

  - ### Method Detail

    - #### isCreate

          public boolean isCreate()

    - #### isUpdate

          public boolean isUpdate()

    - #### isDelete

          public boolean isDelete()

    - #### getAction

          public ChangeType getAction()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractSessionEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.